org.bouncycastle.crypto.generators

## Class ECKeyPairGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.ECKeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator, org.bouncycastle.math.ec.ECConstants

    public class ECKeyPairGenerator
    extends java.lang.Object
    implements AsymmetricCipherKeyPairGenerator, org.bouncycastle.math.ec.ECConstants

### Field Summary

### Fields inherited from interface org.bouncycastle.math.ec.ECConstants

`FOUR, ONE, THREE, TWO, ZERO`

### Constructor Summary

Constructors
Constructor and Description
`ECKeyPairGenerator()`

### Method Summary

Methods
`AsymmetricCipherKeyPair` `generateKeyPair()` Given the domain parameters this routine generates an EC key pair in accordance with X9.62 section 5.2.1 pages 26, 27.
`void` `init(KeyGenerationParameters param)` intialise the key pair generator.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECKeyPairGenerator

    public ECKeyPairGenerator()

### Method Detail

#### init

    public void init(KeyGenerationParameters param)

Description copied from interface: `AsymmetricCipherKeyPairGenerator`
intialise the key pair generator.

Specified by:
  `init` in interface `AsymmetricCipherKeyPairGenerator`
Parameters:
  `param` - the parameters the key pair is to be initialised with.

#### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

Given the domain parameters this routine generates an EC key pair in accordance with X9.62 section 5.2.1 pages 26, 27.

Specified by:
  `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
Returns:
  an AsymmetricCipherKeyPair containing the generated keys.